class CircleData {
  static final followersPseudoCircle = CircleData('~', 'Followers');

  final String id;

  final String name;

  CircleData(this.id, this.name);

  @override
  String toString() {
    return 'CircleData{id: $id, name: $name}';
  }

  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
      other is CircleData && runtimeType == other.runtimeType && id == other.id;

  @override
  int get hashCode => id.hashCode;
}
